
import java.rmi.ConnectException;
import java.rmi.Naming;
import java.rmi.RemoteException;
import java.util.Arrays;
import java.util.Random;
import javax.swing.JPanel;


public class ScitaniServiceClient extends JPanel {
    ScitaniService scitaniService;
    /**
     * @param server
     *            adresa serveru, odkud se načítají data.
     */
    public ScitaniServiceClient(String server) {
        try {
            // adresa vzdáleného objektu
            String remoteName =
                    "rmi://" + server + "/ScitaniService";
            // vyhledání vzdáleného objektu
            scitaniService =
                    (ScitaniService) Naming.lookup(remoteName);
            // vytvoření modelu
        } catch (ConnectException e) {
            System.err.println("Spojení k serveru selhalo. "
                    + "Server může být dočasně nedostupný.");
            e.printStackTrace();
            System.exit(1);
        } catch (Exception e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    public void secti(int [] pole) throws RemoteException {
        System.out.println("Sčítám pole: " + Arrays.toString(pole));
        int suma = scitaniService.secti(pole);
        System.out.printf("Výsledek: %s%n",suma);
    }

    public static void main(String[] args) throws RemoteException {
        ScitaniServiceClient client = null;
        if (args.length == 0) {
            client = new ScitaniServiceClient("localhost");
        } else {
            client = new ScitaniServiceClient(args[0]);
        }
        Random r = new Random();
        int [] pole = new int[10];
        for (int i = 0; i < 5; i++) {
            for(int j = 0; j < 10; j++) {
                pole[j] = r.nextInt(10);
            }
            client.secti(pole);
        }
    }
}
